mixin input(mod, type, placeholder)
    .input(class=mod)
        input(type=type)
        .placeholder
            .placeholder__title=placeholder

mixin textarea(mod, placeholder, disabled)
    .textarea(class=mod)
        if disabled
            textarea(disabled)
        else
            textarea
        .placeholder
            .placeholder__title=placeholder

mixin select(mod, multiply)
    .select(class=mod)
        select(multiply)
            block

mixin option(option, disabled)
    if disabled
        option(disabled)=option
    else
        option=option


mixin check(mod, type, title, thumb, name)
    label.check(class=mod)
        input(type=type name=name)
        if thumb
            .check__thumb
                img(src='#{thumb}')
        else
            .check__icon
        .check__title=title
